Loading...
Searching...
No Matches
_starpu_driver_ops Struct Reference

## Data Fields

int(* | init )(struct _starpu_worker *worker)
int(* | run )(struct _starpu_worker *worker)
int(* | run_once )(struct _starpu_worker *worker)
int(* | deinit )(struct _starpu_worker *worker)
int(* | set_devid )(struct starpu_driver *driver, struct _starpu_worker *worker)
int(* | is_devid )(struct starpu_driver *driver, struct _starpu_worker *worker)

## Field Documentation

## init

int(* _starpu_driver_ops::init) (struct _starpu_worker *worker)

Initialize the thread for running the worker

## run

int(* _starpu_driver_ops::run) (struct _starpu_worker *worker)

Actually run the worker

## run_once

int(* _starpu_driver_ops::run_once) (struct _starpu_worker *worker)

Run just one loop of the worker

## deinit

int(* _starpu_driver_ops::deinit) (struct _starpu_worker *worker)

Deinitialize the thread after running a worker

## set_devid

int(* _starpu_driver_ops::set_devid) (struct starpu_driver *driver, struct _starpu_worker *worker)

Sets into `driver` the id for worker `worker`

## is_devid

int(* _starpu_driver_ops::is_devid) (struct starpu_driver *driver, struct _starpu_worker *worker)

Tests whether `driver` has the id for worker `worker`

The documentation for this struct was generated from the following file:

- drivers.h